rebuild-all
Prev | General Parameters | Next

## rebuild-all

rebuild-all — Indicates that all files should be produced

## Synopsis

    <xsl:param name="rebuild-all" select="0"></xsl:param>

## Description

When using the XSLT processor to manage dependencies and construct the website, this parameter can be used to regenerate the whole website, updating even pages that don't appear to need to be updated.

The dependency extension only looks at the source documents. So if you change something in the stylesheet, for example, that has a global effect, you can use this parameter to force the stylesheet to rebuild the whole website.

Only applies when XSLT-based chunking is being used.

Prev | Up | Next
output-root | Home | sequential.links